MWAWSubDocument Class Reference documentation

Public Member Functions | Protected Attributes | List of all members
MWAWSubDocument Class Referenceabstract

abstract class used to store a subdocument (with a comparison function) More...

`#include <MWAWSubDocument.hxx>`

Inheritance diagram for MWAWSubDocument:

## Public Member Functions
| MWAWSubDocument (MWAWParser *pars, MWAWInputStreamPtr ip, MWAWEntry const &z)
| constructor from parser, input stream and zone in the input More...
| MWAWSubDocument (MWAWSubDocument const &doc)
| copy constructor More...
MWAWSubDocument & | operator= (MWAWSubDocument const &doc)
| copy operator More...
virtual | ~MWAWSubDocument ()
| virtual destructor More...
virtual bool | operator!= (MWAWSubDocument const &doc) const
| comparison operator!= More...
bool | operator== (MWAWSubDocument const &doc) const
| comparison operator== More...
bool | operator!= (shared_ptr< MWAWSubDocument > const &doc) const
| comparison operator!= More...
bool | operator== (shared_ptr< MWAWSubDocument > const &doc) const
| comparison operator== More...
virtual void | parse (MWAWListenerPtr &listener, libmwaw::SubDocumentType subDocumentType)=0
| virtual parse function More...

## Protected Attributes
MWAWParser * | m_parser
| the main zone parser More...
shared_ptr< MWAWInputStream > | m_input
| the input More...
MWAWEntry | m_zone
| if valid the zone to parse More...

## Detailed Description

abstract class used to store a subdocument (with a comparison function)

## Constructor & Destructor Documentation

## § MWAWSubDocument() [1/2]

MWAWSubDocument::MWAWSubDocument | ( | MWAWParser * | pars,
|  | MWAWInputStreamPtr | ip,
|  | MWAWEntry const & | z
| ) |  |

constructor from parser, input stream and zone in the input

## § MWAWSubDocument() [2/2]

MWAWSubDocument::MWAWSubDocument | ( | MWAWSubDocument const & | doc | ) |
| explicit

copy constructor

## § ~MWAWSubDocument()

MWAWSubDocument::~MWAWSubDocument | ( |  | ) |
| virtual

virtual destructor

## Member Function Documentation

## § operator!=() [1/2]

bool MWAWSubDocument::operator!= | ( | MWAWSubDocument const & | doc | ) | const
| virtual

comparison operator!=

Reimplemented in HanMacWrdJGraphInternal::SubDocument, MsWksGraphInternal::SubDocument, HanMacWrdKGraphInternal::SubDocument, ClarisWksGraphInternal::SubDocument, ClarisDrawGraphInternal::SubDocument, ApplePictParserInternal::SubDocument, PowerPoint3ParserInternal::SubDocument, FreeHandParserInternal::SubDocument, WriterPlsParserInternal::SubDocument, ClarisWksTextInternal::SubDocument, MindWrtParserInternal::SubDocument, RagTime5GraphInternal::SubDocument, MsWksDBParserInternal::SubDocument, GreatWksGraphInternal::SubDocument, MarinerWrtGraphInternal::SubDocument, MoreTextInternal::SubDocument, GreatWksDBParserInternal::SubDocument, NisusWrtTextInternal::SubDocument, MacDraft5ParserInternal::SubDocument, HanMacWrdJTextInternal::SubDocument, MacDrawProParserInternal::SubDocument, RagTimeParserInternal::SubDocument, MacWrtParserInternal::SubDocument, BeagleWksTextInternal::SubDocument, PowerPoint1ParserInternal::SubDocument, CricketDrawParserInternal::SubDocument, RagTime5ParserInternal::SubDocument, MacDraftParserInternal::SubDocument, BeagleWksSSParserInternal::SubDocument, MacWrtProParserInternal::SubDocument, FullWrtParserInternal::SubDocument, MsWrd1ParserInternal::SubDocument, MsWrdParserInternal::SubDocument, ActaParserInternal::SubDocument, MsWksDocumentInternal::SubDocument, BeagleWksDBParserInternal::SubDocument, GreatWksSSParserInternal::SubDocument, MacDrawParserInternal::SubDocument, MsWks3TextInternal::SubDocument, DocMkrTextInternal::SubDocument, MarinerWrtParserInternal::SubDocument, BeagleWksDRParserInternal::SubDocument, ZWrtTextInternal::SubDocument, SuperPaintParserInternal::SubDocument, MsWksSSParserInternal::SubDocument, ClarisWksDocumentInternal::SubDocument, GreatWksParserInternal::SubDocument, ClarisWksPresentationInternal::SubDocument, MouseWrtParserInternal::SubDocument, MoreParserInternal::SubDocument, FullWrtGraphInternal::SubDocument, HanMacWrdJParserInternal::SubDocument, NisusWrtGraphInternal::SubDocument, HanMacWrdKParserInternal::SubDocument, WriteNowParserInternal::SubDocument, ClarisWksParserInternal::SubDocument, ClarisWksPRParserInternal::SubDocument, ClarisWksSSParserInternal::SubDocument, LightWayTxtParserInternal::SubDocument, ZWrtParserInternal::SubDocument, MWAWChartInternal::SubDocument, and MWAWPageSpanInternal::SubDocument.

Referenced by operator!=(), BeagleWksDBParserInternal::SubDocument::operator!=(), MsWrd1ParserInternal::SubDocument::operator!=(), BeagleWksSSParserInternal::SubDocument::operator!=(), and operator==().

## § operator!=() [2/2]

bool MWAWSubDocument::operator!= | ( | shared_ptr< MWAWSubDocument > const & | doc | ) | const

comparison operator!=

## § operator=()

MWAWSubDocument & MWAWSubDocument::operator= | ( | MWAWSubDocument const & | doc | ) |

copy operator

## § operator==() [1/2]

bool MWAWSubDocument::operator== | ( | MWAWSubDocument const & | doc | ) | const
| inline

comparison operator==

## § operator==() [2/2]

bool MWAWSubDocument::operator== | ( | shared_ptr< MWAWSubDocument > const & | doc | ) | const
| inline

comparison operator==

## § parse()

virtual void MWAWSubDocument::parse | ( | MWAWListenerPtr & | listener,
|  | libmwaw::SubDocumentType | subDocumentType
| ) |  |
| pure virtual

virtual parse function

this function is called to parse the subdocument

Implemented in HanMacWrdJGraphInternal::SubDocument, MsWksGraphInternal::SubDocument, HanMacWrdKGraphInternal::SubDocument, ClarisWksGraphInternal::SubDocument, ClarisDrawGraphInternal::SubDocument, PowerPoint3ParserInternal::SubDocument, ApplePictParserInternal::SubDocument, FreeHandParserInternal::SubDocument, WriterPlsParserInternal::SubDocument, ClarisWksTextInternal::SubDocument, MindWrtParserInternal::SubDocument, RagTime5GraphInternal::SubDocument, MsWksDBParserInternal::SubDocument, GreatWksGraphInternal::SubDocument, MarinerWrtGraphInternal::SubDocument, MoreTextInternal::SubDocument, GreatWksDBParserInternal::SubDocument, NisusWrtTextInternal::SubDocument, MacDraft5ParserInternal::SubDocument, MacDrawProParserInternal::SubDocument, HanMacWrdJTextInternal::SubDocument, RagTimeParserInternal::SubDocument, MacWrtParserInternal::SubDocument, PowerPoint1ParserInternal::SubDocument, BeagleWksTextInternal::SubDocument, CricketDrawParserInternal::SubDocument, MacDraftParserInternal::SubDocument, RagTime5ParserInternal::SubDocument, BeagleWksSSParserInternal::SubDocument, MacWrtProParserInternal::SubDocument, FullWrtParserInternal::SubDocument, MsWrd1ParserInternal::SubDocument, ActaParserInternal::SubDocument, MsWrdParserInternal::SubDocument, BeagleWksDBParserInternal::SubDocument, MsWksDocumentInternal::SubDocument, GreatWksSSParserInternal::SubDocument, MacDrawParserInternal::SubDocument, MsWks3TextInternal::SubDocument, MarinerWrtParserInternal::SubDocument, DocMkrTextInternal::SubDocument, BeagleWksDRParserInternal::SubDocument, SuperPaintParserInternal::SubDocument, ZWrtTextInternal::SubDocument, MsWksSSParserInternal::SubDocument, ClarisWksDocumentInternal::SubDocument, ClarisWksPresentationInternal::SubDocument, GreatWksParserInternal::SubDocument, HanMacWrdJParserInternal::SubDocument, MouseWrtParserInternal::SubDocument, MoreParserInternal::SubDocument, FullWrtGraphInternal::SubDocument, HanMacWrdKParserInternal::SubDocument, NisusWrtGraphInternal::SubDocument, ClarisWksParserInternal::SubDocument, ClarisWksPRParserInternal::SubDocument, ClarisWksSSParserInternal::SubDocument, LightWayTxtParserInternal::SubDocument, WriteNowParserInternal::SubDocument, ZWrtParserInternal::SubDocument, MWAWChartInternal::SubDocument, and MWAWPageSpanInternal::SubDocument.

Referenced by operator==().

## Member Data Documentation

## § m_input

shared_ptr<MWAWInputStream> MWAWSubDocument::m_input
| protected

the input

Referenced by operator!=(), and operator=().

## § m_parser

MWAWParser* MWAWSubDocument::m_parser
| protected

the main zone parser

Referenced by ClarisWksDocument::getMainParser(), operator!=(), and operator=().

## § m_zone

MWAWEntry MWAWSubDocument::m_zone
| protected

if valid the zone to parse

Referenced by operator!=(), and operator=().

The documentation for this class was generated from the following files:

- MWAWSubDocument.hxx
- MWAWSubDocument.cxx